Bug 1258030 - Incorect font rendering by integrated PDF viewer [NEEDINFO]
Incorect font rendering by integrated PDF viewer
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
22
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 13:27 EDT by Lukas -krtek.net- Novy
Modified: 2016-07-19 16:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:13:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jhorak: needinfo? (lukas.novy)


Attachments (Terms of Use)
Reproducer PDF (119.10 KB, application/pdf)
2015-08-28 13:27 EDT, Lukas -krtek.net- Novy
no flags Details
Firefox screenshot (197.10 KB, image/png)
2015-08-28 13:28 EDT, Lukas -krtek.net- Novy
no flags Details
Google Chrome screenshot (144.49 KB, image/png)
2015-08-28 13:29 EDT, Lukas -krtek.net- Novy
no flags Details

  None (edit)
Description Lukas -krtek.net- Novy 2015-08-28 13:27:33 EDT
Created attachment 1068104 [details]
Reproducer PDF

Description of problem:
Integrated PDF displays incorrect characters. Attaching the PDF, screenshots of firefoxes and google's chrome for reference.

Version-Release number of selected component (if applicable):
39.0-8.fc22.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open attached PDF
2.
3.

Actual results:
Incorrect characters are displayed.

Expected results:
Text is readable.

Additional info:
I will test 40.0-4.fc22.x86_64 (or whatever recent is) and will use a clean profile in a couple of hours, my connection too crappy for that now. :)
Comment 1 Lukas -krtek.net- Novy 2015-08-28 13:28:18 EDT
Created attachment 1068105 [details]
Firefox screenshot
Comment 2 Lukas -krtek.net- Novy 2015-08-28 13:29:17 EDT
Created attachment 1068106 [details]
Google Chrome screenshot
Comment 3 Lukas -krtek.net- Novy 2015-08-28 13:38:02 EDT
The issue is still present on 40.0-4.fc22.x86_64 with clean firefox profile.
Comment 4 Jan Horak 2015-11-09 08:44:41 EST
Checking now with Firefox 42 and I no longer see this issue. What about you?
Comment 5 Fedora End Of Life 2016-07-19 16:13:19 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.